Index: ChangeLog
===================================================================
--- ChangeLog	(revision 30cbd419a46c906bd7a3f716ec5101e685373d86)
+++ ChangeLog	(revision b16b90048ff3e3f9578514de3dace12f631822b5)
@@ -1,2 +1,5 @@
+2004-12-06  Paul Brossier <piem@altern.org>
+	* examples/{midi*,testforclam}.c: removed
+
 2004-12-03  Paul Brossier <piem@altern.org>
 	* src/{mathutils,pitchyin}.h: got rid of some shadowed declarations
Index: examples/Makefile.am
===================================================================
--- examples/Makefile.am	(revision 30cbd419a46c906bd7a3f716ec5101e685373d86)
+++ examples/Makefile.am	(revision b16b90048ff3e3f9578514de3dace12f631822b5)
@@ -13,12 +13,5 @@
 	aubionotes
 	
-noinst_PROGRAMS = \
-	midiparse \
-	midiplay \
-	midialsa \
-	testforclam
-	
 EXTRA_DIST = utils.h
-
 
 # optionally add sources file for these programs
@@ -26,3 +19,2 @@
 aubionotes_SOURCES = aubionotes.c utils.c
 aubionotesmedian_SOURCES = aubionotesmedian.c utils.c
-testforclam_SOURCES = testforclam.c utils.c
Index: examples/Makefile.in
===================================================================
--- examples/Makefile.in	(revision 30cbd419a46c906bd7a3f716ec5101e685373d86)
+++ examples/Makefile.in	(revision b16b90048ff3e3f9578514de3dace12f631822b5)
@@ -167,11 +167,4 @@
 
 
-noinst_PROGRAMS = \
-	midiparse \
-	midiplay \
-	midialsa \
-	testforclam
-
-
 EXTRA_DIST = utils.h
 
@@ -180,5 +173,4 @@
 aubionotes_SOURCES = aubionotes.c utils.c
 aubionotesmedian_SOURCES = aubionotesmedian.c utils.c
-testforclam_SOURCES = testforclam.c utils.c
 subdir = examples
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
@@ -188,7 +180,5 @@
 bin_PROGRAMS = aubioonset$(EXEEXT) aubionotesmedian$(EXEEXT) \
 	aubionotes$(EXEEXT)
-noinst_PROGRAMS = midiparse$(EXEEXT) midiplay$(EXEEXT) midialsa$(EXEEXT) \
-	testforclam$(EXEEXT)
-PROGRAMS = $(bin_PROGRAMS) $(noinst_PROGRAMS)
+PROGRAMS = $(bin_PROGRAMS)
 
 am_aubionotes_OBJECTS = aubionotes.$(OBJEXT) utils.$(OBJEXT)
@@ -207,24 +197,4 @@
 aubioonset_DEPENDENCIES =
 aubioonset_LDFLAGS =
-midialsa_SOURCES = midialsa.c
-midialsa_OBJECTS = midialsa.$(OBJEXT)
-midialsa_LDADD = $(LDADD)
-midialsa_DEPENDENCIES =
-midialsa_LDFLAGS =
-midiparse_SOURCES = midiparse.c
-midiparse_OBJECTS = midiparse.$(OBJEXT)
-midiparse_LDADD = $(LDADD)
-midiparse_DEPENDENCIES =
-midiparse_LDFLAGS =
-midiplay_SOURCES = midiplay.c
-midiplay_OBJECTS = midiplay.$(OBJEXT)
-midiplay_LDADD = $(LDADD)
-midiplay_DEPENDENCIES =
-midiplay_LDFLAGS =
-am_testforclam_OBJECTS = testforclam.$(OBJEXT) utils.$(OBJEXT)
-testforclam_OBJECTS = $(am_testforclam_OBJECTS)
-testforclam_LDADD = $(LDADD)
-testforclam_DEPENDENCIES =
-testforclam_LDFLAGS =
 
 DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)/src
@@ -233,7 +203,5 @@
 @AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/aubionotes.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/aubionotesmedian.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/aubioonset.Po ./$(DEPDIR)/midialsa.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/midiparse.Po ./$(DEPDIR)/midiplay.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/testforclam.Po ./$(DEPDIR)/utils.Po
+@AMDEP_TRUE@	./$(DEPDIR)/aubioonset.Po ./$(DEPDIR)/utils.Po
 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
@@ -244,8 +212,7 @@
 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
 DIST_SOURCES = $(aubionotes_SOURCES) $(aubionotesmedian_SOURCES) \
-	$(aubioonset_SOURCES) midialsa.c midiparse.c midiplay.c \
-	$(testforclam_SOURCES)
+	$(aubioonset_SOURCES)
 DIST_COMMON = $(srcdir)/Makefile.in Makefile.am
-SOURCES = $(aubionotes_SOURCES) $(aubionotesmedian_SOURCES) $(aubioonset_SOURCES) midialsa.c midiparse.c midiplay.c $(testforclam_SOURCES)
+SOURCES = $(aubionotes_SOURCES) $(aubionotesmedian_SOURCES) $(aubioonset_SOURCES)
 
 all: all-am
@@ -287,11 +254,4 @@
 	  rm -f $$p $$f ; \
 	done
-
-clean-noinstPROGRAMS:
-	@list='$(noinst_PROGRAMS)'; for p in $$list; do \
-	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
-	  echo " rm -f $$p $$f"; \
-	  rm -f $$p $$f ; \
-	done
 aubionotes$(EXEEXT): $(aubionotes_OBJECTS) $(aubionotes_DEPENDENCIES) 
 	@rm -f aubionotes$(EXEEXT)
@@ -303,16 +263,4 @@
 	@rm -f aubioonset$(EXEEXT)
 	$(LINK) $(aubioonset_LDFLAGS) $(aubioonset_OBJECTS) $(aubioonset_LDADD) $(LIBS)
-midialsa$(EXEEXT): $(midialsa_OBJECTS) $(midialsa_DEPENDENCIES) 
-	@rm -f midialsa$(EXEEXT)
-	$(LINK) $(midialsa_LDFLAGS) $(midialsa_OBJECTS) $(midialsa_LDADD) $(LIBS)
-midiparse$(EXEEXT): $(midiparse_OBJECTS) $(midiparse_DEPENDENCIES) 
-	@rm -f midiparse$(EXEEXT)
-	$(LINK) $(midiparse_LDFLAGS) $(midiparse_OBJECTS) $(midiparse_LDADD) $(LIBS)
-midiplay$(EXEEXT): $(midiplay_OBJECTS) $(midiplay_DEPENDENCIES) 
-	@rm -f midiplay$(EXEEXT)
-	$(LINK) $(midiplay_LDFLAGS) $(midiplay_OBJECTS) $(midiplay_LDADD) $(LIBS)
-testforclam$(EXEEXT): $(testforclam_OBJECTS) $(testforclam_DEPENDENCIES) 
-	@rm -f testforclam$(EXEEXT)
-	$(LINK) $(testforclam_LDFLAGS) $(testforclam_OBJECTS) $(testforclam_LDADD) $(LIBS)
 
 mostlyclean-compile:
@@ -325,8 +273,4 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/aubionotesmedian.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/aubioonset.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/midialsa.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/midiparse.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/midiplay.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testforclam.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/utils.Po@am__quote@
 
@@ -491,6 +435,5 @@
 clean: clean-am
 
-clean-am: clean-binPROGRAMS clean-generic clean-libtool \
-	clean-noinstPROGRAMS mostlyclean-am
+clean-am: clean-binPROGRAMS clean-generic clean-libtool mostlyclean-am
 
 distclean: distclean-am
@@ -539,14 +482,14 @@
 
 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-binPROGRAMS \
-	clean-generic clean-libtool clean-noinstPROGRAMS ctags \
-	distclean distclean-compile distclean-generic distclean-libtool \
-	distclean-tags distdir dvi dvi-am info info-am install \
-	install-am install-binPROGRAMS install-data install-data-am \
-	install-exec install-exec-am install-info install-info-am \
-	install-man install-strip installcheck installcheck-am \
-	installdirs maintainer-clean maintainer-clean-generic \
-	mostlyclean mostlyclean-compile mostlyclean-generic \
-	mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
-	uninstall-am uninstall-binPROGRAMS uninstall-info-am
+	clean-generic clean-libtool ctags distclean distclean-compile \
+	distclean-generic distclean-libtool distclean-tags distdir dvi \
+	dvi-am info info-am install install-am install-binPROGRAMS \
+	install-data install-data-am install-exec install-exec-am \
+	install-info install-info-am install-man install-strip \
+	installcheck installcheck-am installdirs maintainer-clean \
+	maintainer-clean-generic mostlyclean mostlyclean-compile \
+	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
+	tags uninstall uninstall-am uninstall-binPROGRAMS \
+	uninstall-info-am
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
Index: amples/midialsa.c
===================================================================
--- examples/midialsa.c	(revision 30cbd419a46c906bd7a3f716ec5101e685373d86)
+++ 	(revision )
@@ -1,21 +1,0 @@
-/* __copyright__ */
-
-#include "aubio.h"
-#include <unistd.h>
-
-/* not supported yet */
-#ifdef LADCCA_SUPPORT
-#include <ladcca/ladcca.h>
-cca_client_t * aubio_cca_client;
-#endif /* LADCCA_SUPPORT */
-
-int main(int argc, char **argv) {
-#if ALSA_SUPPORT
-  aubio_midi_player_t * mplay = new_aubio_midi_player();
-  aubio_midi_driver_t * mdriver = new_aubio_midi_driver("alsa_seq",
-    (handle_midi_event_func_t)aubio_midi_send_event, mplay);
-  pause();
-  del_aubio_midi_driver(mdriver);
-#endif
-  return 0;
-}
Index: amples/midiparse.c
===================================================================
--- examples/midiparse.c	(revision 30cbd419a46c906bd7a3f716ec5101e685373d86)
+++ 	(revision )
@@ -1,41 +1,0 @@
-/*
-   copyright (c) 2003 paul brossier
-
-   this program is free software; you can redistribute it and/or modify
-   it under the terms of the gnu general public license as published by
-   the free software foundation; either version 2 of the license, or
-   (at your option) any later version.
-
-   this program is distributed in the hope that it will be useful,
-   but without any warranty; without even the implied warranty of
-   merchantability or fitness for a particular purpose.  see the
-   gnu general public license for more details.
-
-   you should have received a copy of the gnu general public license
-   along with this program; if not, write to the free software
-   foundation, inc., 675 mass ave, cambridge, ma 02139, usa.
-
-*/
-
-#include "aubio.h"
-#include <unistd.h>
-
-/* not supported yet */
-#ifdef LADCCA_SUPPORT
-#include <ladcca/ladcca.h>
-cca_client_t * aubio_cca_client;
-#endif /* LADCCA_SUPPORT */
-
-int main(int argc, char ** argv) {
-#if ALSA_SUPPORT
-	aubio_midi_player_t * mplay = new_aubio_midi_player();
-	argc--;
-	aubio_midi_player_add(mplay,argv[argc]);
-	while(aubio_midi_player_play_offline(mplay) == 0)
-		pause();
-	aubio_midi_player_stop(mplay);
-	del_aubio_midi_player(mplay);
-#endif
-	return 0;
-} 
-
Index: amples/midiplay.c
===================================================================
--- examples/midiplay.c	(revision 30cbd419a46c906bd7a3f716ec5101e685373d86)
+++ 	(revision )
@@ -1,45 +1,0 @@
-/*
-   Copyright (C) 2003 Paul Brossier
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2 of the License, or
-   (at your option) any later version.
-
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-
-*/
-
-/** \bug have it stop at the end of the playlist (but keep using thread, see
- *      new_aubio_timer call in midi_player)
- * 
- */
-
-#include "aubio.h"
-#include <unistd.h>
-
-/* not supported yet */
-#ifdef LADCCA_SUPPORT
-#include <ladcca/ladcca.h>
-cca_client_t * aubio_cca_client;
-#endif /* LADCCA_SUPPORT */
-
-int main(int argc, char ** argv) {
-#if ALSA_SUPPORT
-  aubio_midi_player_t * mplay = new_aubio_midi_player();
-  argc--;
-  aubio_midi_player_add(mplay,argv[argc]);
-  aubio_midi_player_play(mplay);
-  pause();
-  aubio_midi_player_stop(mplay);
-  del_aubio_midi_player(mplay);
-#endif
-  return 0;
-} 
Index: amples/testforclam.c
===================================================================
--- examples/testforclam.c	(revision 30cbd419a46c906bd7a3f716ec5101e685373d86)
+++ 	(revision )
@@ -1,238 +1,0 @@
-/*
-   Copyright (C) 2003 Paul Brossier
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2 of the License, or
-   (at your option) any later version.
-
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-
-*/
-
-#include <stdio.h>
-#include <stdlib.h>
-#include <stdarg.h>
-#include <getopt.h>
-#include <unistd.h>
-
-#include "aubio.h"	
-
-#include "utils.h"
-
-
-const char * output_filename = NULL;
-const char * input_filename = NULL;
-
-const char * onset_filename = "/usr/share/sounds/aubio/woodblock.aiff";
-
-int verbose = 0;
-int usejack = 0;
-
-int aubio_process(float **input, float **output, int nframes);
-
-/* settings */
-
-/* energy,specdiff,hfc,complexdomain,phase */
-aubio_onsetdetection_type type_onset;
-smpl_t threshold = 0.1;
-
-smpl_t threshold2 = -80.;
-
-int buffer_size = 1024;
-int overlap_size = 512;
-int channels = 1;
-int samplerate = 44100;
-
-/* global objects */
-aubio_pvoc_t * pv;
-
-fvec_t * ibuf;
-fvec_t * obuf;
-cvec_t * fftgrain;
-
-fvec_t * woodblock;
-
-aubio_onsetdetection_t *o;
-fvec_t *onset;
-//fvec_t *onset_keep;
-//fvec_t *onset_proc;
-int post = 5;
-int pre  = 1;
-
-int isonset = 0;
-
-aubio_pickpeak_t * parms;
-
-int aubio_process(float **input, float **output, int nframes) {
-	unsigned int i; 	/*channels*/
-	unsigned int j; 	/*frames*/   
-	unsigned int pos = 0; 	/*frames%dspblocksize*/
-	//unsigned int ons = 0; /*onset counter*/
-	for (j=0;j<nframes;j++) {
-
-		for (i=0;i<channels;i++) { 
-			/* write input to datanew */
-			fvec_write_sample(ibuf, input[i][j], i, pos);
-			/* put synthnew in output */
-			output[i][j] = fvec_read_sample(obuf, i, pos);
-		}
-		/*time for fft*/
-		if (pos == overlap_size-1) { 			
-			aubio_pvoc_do (pv,ibuf, fftgrain);
-			aubio_onsetdetection(o,fftgrain, onset);
-			fprintf(stderr,"onsetfunc: %f\n",onset->data[0][0]);
-			isonset = aubio_peakpick_pimrt(onset,parms);
-			if (isonset) {
-				/* test for silence */
-				if (aubio_silence_detection(ibuf, threshold2)==1)
-					isonset=0; 
-				else
-					for (pos = 0; pos < overlap_size; pos++)
-						obuf->data[0][pos] = 
-							woodblock->data[0][pos];
-			} else {
-				for (pos = 0; pos < overlap_size; pos++)
-					obuf->data[0][pos] = 0.;
-			}
-			//aubio_pvoc_rdo(pv,fftgrain, obuf);
-			pos = -1; /* so it will be zero next j loop */
-		}
-		pos++;
-	}
-	return 1;
-}
-
-int main (int argc, char **argv) {  
-	int frames;
-	//int pos;
-
-	aubio_file_t * file = NULL;
-	aubio_file_t * fileout = NULL;
-
-	aubio_file_t * onsetfile = new_file_ro(onset_filename);
-	parse_args(argc, argv);
-
-	if(!usejack) 
-	{
-		debug("Opening  files ...\n");
-		file = new_file_ro (input_filename);
-		file_info(file);
-		channels = aubio_file_channels(file);
-		if (output_filename != NULL)
-			fileout = new_file_wo(file, output_filename);
-	}
-
-	ibuf = new_fvec(overlap_size, channels);
-	obuf = new_fvec(overlap_size, channels);
-	woodblock = new_fvec(buffer_size,1);
-	fftgrain = new_cvec(buffer_size, channels);
-
-	file_read(onsetfile, overlap_size, woodblock);
-
-	/* phase vocoder */
-	debug("Phase voc init ... \n");
-	pv = new_aubio_pvoc(buffer_size, overlap_size, channels);
-
-	/* onset init */
-	debug("type_onset: %d\n", (int)type_onset);
-	debug("threshold : %f\n", threshold);
-	parms = new_aubio_peakpicker(threshold);
-
-	o = new_aubio_onsetdetection(type_onset,buffer_size,channels);
-	/*onset = new_fvec(overlap_size, channels);
-	for (frames=0;frames<overlap_size;frames++){
-		onset->data[0][frames] = 0.; 
-	}*/
-	onset = new_fvec(0, channels);
-	
-	//onset_keep = new_fvec(post+pre+1, channels);
-	//onset_proc = new_fvec(post+pre+1, channels);
-
-	// command line argument parsing
-	if(usejack) {
-#ifdef JACK_SUPPORT
-		aubio_jack_t * jack_setup;
-		debug("Jack init ...\n");
-		jack_setup = new_aubio_jack(channels, channels, 
-				(aubio_process_func_t)aubio_process);
-
-		/* initialise fftgrain */
-		aubio_pvoc_do (pv,ibuf, fftgrain);
-
-		debug("Jack activation ...\n");
-		aubio_jack_activate(jack_setup);
-
-		debug("Processing (Ctrl+C to quit) ...\n");
-		pause();
-
-		aubio_jack_close(jack_setup);
-#endif
-
-	} else {
-		fvec_t * inputbuf ;
-		fvec_t * outputbuf;
-		/* file objects */
-
-		inputbuf 	= new_fvec(overlap_size, channels);
-		outputbuf	= new_fvec(overlap_size, channels);	
-		/* phasevoc init */
-		debug("Processing ...\n");
-
-		/** \bug phasevoc not initialized yet */
-		/* initialise fftgrain and input bug */
-		for (frames=0;frames<2;frames++) {
-			aubio_pvoc_do (pv,inputbuf, fftgrain);
-		}
-
-		/** start filling the phasevoc */
-		//for (frames=0;frames<1;frames++) {
-			//file_read(file, overlap_size, inputbuf);
-			//aubio_pvoc_do (pv,inputbuf, fftgrain);
-			/** \bug onset is still badly initialized */
-			//aubio_onsetdetection(o,fftgrain, onset);
-		//}
-
-		//debug("coucou\n");
-		frames = 0;
-		while ((overlap_size == file_read(file, overlap_size, inputbuf)) ) 
-		{
-			isonset=0;
-			aubio_process(inputbuf->data, outputbuf->data, overlap_size);
-			if (isonset) {
-				/*output times in seconds*/
-				//errmsg("%f\n",(frames-1)*overlap_size/(float)samplerate);
-				errmsg("%f\n",(frames-3)*overlap_size/(float)samplerate);
-			}
-			if (output_filename != NULL)
-				file_write(fileout,overlap_size,outputbuf);
-			frames++;
-		}
-		debug("Processed %d frames of %d samples.\n", frames, buffer_size);
-		del_file(file);
-		if (output_filename != NULL)
-			del_file(fileout);
-	}
-
-	del_aubio_pvoc(pv);
-
-	del_fvec(obuf);
-	del_fvec(ibuf);
-	del_cvec(fftgrain);
-	//del_fvec(onset_keep);
-	//del_fvec(onset_proc);
-	del_fvec(onset);
-
-	debug("End of program.\n");
-	fflush(stderr);
-	return 0;
-}
-
-
